Subject: Re: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

From: Luc André Burdet <[email-masked]>
Date: Mon, 1 Feb 2021 16:10:31 +0000

Hi Stéphane, Neeraj/authors,

There is a use-case that was seemingly excluded from RFC7432 which I think this draft is a good candidate to cover.
I otherwise support progression.

RFC7432 s.10 addresses the gateway use-case, and enforces ESI=0 on any (optional)gateway MAC advertisement.

This draft which expands on use-cases of IRB/MAC mobility may be a good place to introduce and describe Aliasing and Backup(i.e. RFC7432 s.8) procedures on the Gateway MAC for multi-homing Gateways sharing a same MAC.
Currently RFC7432 specifies such gateways don’t need to advertise the MAC (s.10.1 §6, optional) whereas it may make sense to advertise them with nonzero ESI (alongside EADs).   Fast-failover of shared Gateway MACs could be covered here as an extension to 7432.

Thoughts? This could also potentially be done in 7432-bis.

Regards,
Luc André Burdet |  Cisco  |  [email-masked]  |  Tel: +1 613 254 4814

From: BESS <[email-masked]> on behalf of "[email-masked]" <[email-masked]>
Date: Monday, January 18, 2021 at 03:58
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

This email starts a two-week working group last call for draft-ietf-bess-evpn-irb-extended-mobility-01 [1]

Please review the draft and send any comments to the BESS list. Also, please indicate if you support publishing the draft as a standards track RFC.

This poll runs until February 1st.

We are also polling for knowledge of any undisclosed IPR that applies to this Document, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as an Author or a Contributor of this document please respond to this email and indicate whether or not you are aware of any relevant undisclosed IPR. The Document won't progress without answers from all the Authors and Contributors.

There is currently no IPR disclosed.

In addition, we are polling for knowledge of implementations of this draft, per the BESS policy in [2].

Thank you,

Matthew & Stephane

[1] https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-irb-extended-mobility/
[2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw<https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw__;!!NEt6yMaO-gk!X5h4y9zD3js4IFT_XC9-diCFCY2KETdVMSaYYY3ihMfJkJT9ibnhUx4IgRXhv_vc$>

---

From: Neeraj Malhotra <[email-masked]>
Date: Tue, 2 Feb 2021 00:06:26 -0800

Hi,

Support as co-author. Not aware of any undisclosed IPR.

Thanks,
Neeraj

On Mon, Jan 18, 2021 at 12:58 AM <[email-masked]> wrote:

> This email starts a two-week working group last call for
> draft-ietf-bess-evpn-irb-extended-mobility-01 [1]
>
>
>
>
>
>
>
> Please review the draft and send any comments to the BESS list. Also,
> please indicate if you support publishing the draft as a standards track
> RFC.
>
>
>
>
>
>
>
> We are also polling for knowledge of any undisclosed IPR that applies to
> this Document, to ensure that IPR has been disclosed in compliance with
> IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
>
>
>
> If you are listed as an Author or a Contributor of this document please
> respond to this email and indicate whether or not you are aware of any
> relevant undisclosed IPR. The Document won't progress without answers from
> all the Authors and Contributors.
>
>
>
> [1]
> https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-irb-extended-mobility/
>
> [2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw
> <https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw__;!!NEt6yMaO-gk!X5h4y9zD3js4IFT_XC9-diCFCY2KETdVMSaYYY3ihMfJkJT9ibnhUx4IgRXhv_vc$>
>
>
> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Tue, 2 Feb 2021 08:19:02 +0000

Hi Luc,

The default gateway aliasing concept is indeed covered in https://tools.ietf.org/html/draft-ietf-bess-rfc7432bis-00#section-10.1

But there is no use of non-zero ESI along with this procedure.
If there is a use-case for it, compared to the existing functionality in the draft above, we should discuss it in the context of it.. personally I don’t think it belongs to the irb-extended-mobility draft.

Thanks.
Jorge

From: BESS <[email-masked]> on behalf of Luc André Burdet <[email-masked]>
Date: Monday, February 1, 2021 at 5:11 PM
To: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01
Hi Stéphane, Neeraj/authors,

Regards,

Thank you,

Matthew & Stephane

---

From: "LINGALA, AVINASH" <[email-masked]>
Date: Tue, 2 Feb 2021 09:19:51 +0000

Hi,

Thanks,
Avinash

Date: Monday, January 18, 2021 at 3:58 AM

Thank you,

Matthew & Stephane

[1] https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-irb-extended-mobility/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bess-evpn-irb-extended-mobility/__;!!BhdT!xkwvic795aXJ6jeQfnI9qWzOplZcPSRzBY4ihAsJYfew1w6iQuzoDmqZneTEEg$>
[2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw<https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw__;!!NEt6yMaO-gk!X5h4y9zD3js4IFT_XC9-diCFCY2KETdVMSaYYY3ihMfJkJT9ibnhUx4IgRXhv_vc$>

---

From: "UTTARO, JAMES" <[email-masked]>
Date: Tue, 2 Feb 2021 10:45:37 +0000

Support

Thanks,
              Jim Uttaro

From: BESS <[email-masked]> On Behalf Of LINGALA, AVINASH
Sent: Tuesday, February 02, 2021 4:20 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

***Security Advisory: This Message Originated Outside of AT&T ***
Reference http://cso.att.com/EmailSecurity/IDSP.html for more information.
Hi,

Thanks,
Avinash

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Monday, January 18, 2021 at 3:58 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

Thank you,

Matthew & Stephane

---

From: Neeraj Malhotra <[email-masked]>
Date: Tue, 2 Feb 2021 08:00:54 -0800

Hi,

missed mentioning earlier that there are known implementations of this draft.

Thanks,
Neeraj

> On Feb 2, 2021, at 12:06 AM, Neeraj Malhotra <[email-masked]> wrote:
> 
> 
> 
> Hi,
>

---

From: "Satya Mohanty (satyamoh)" <[email-masked]>
Date: Tue, 2 Feb 2021 16:00:17 +0000

Support.

Thanks,
--Satya

Date: Monday, January 18, 2021 at 12:58 AM

Thank you,

Matthew & Stephane

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Tue, 2 Feb 2021 17:39:27 +0000

Support the WGLC. I think there is an IPR associated with this draft. I will look into and if it is the case, will disclose it ASAP.

Cheers,
Ali

Thank you,

Matthew & Stephane

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Tue, 2 Feb 2021 18:16:03 +0000

I looked into the IPR, and it has been disclosed and it shows up for the individual version of the draft but for some reason not for the WG version of it!

From: BESS <[email-masked]> on behalf of "Ali Sajassi (sajassi)" <sajassi=[email-masked]>
Date: Tuesday, February 2, 2021 at 9:39 AM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

Cheers,
Ali

Thank you,

Matthew & Stephane

---

From: Neeraj Malhotra <[email-masked]>
Date: Tue, 2 Feb 2021 10:22:01 -0800

Hi,

Thanks Anoop. Sure, will add the security consideration section.

Neeraj

On Fri, Jan 29, 2021 at 9:04 PM Anoop Ghanwani <[email-masked]>
wrote:

> The security considerations section is empty.  Is it possible to have that
> updated before the WGLC?
>
> I will try to review and provide more detailed comments.
>
>> [2]
>> https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 2 Feb 2021 18:26:53 +0000

Hi Ali,

This should be updated automatically if the chairs update the “Replaced by” meta data for https://datatracker.ietf.org/doc/draft-malhotra-bess-evpn-irb-extended-mobility/

BTW, I support publication.

Thanks,
Acee

From: BESS <[email-masked]> on behalf of "Ali Sajassi (sajassi)" <sajassi=[email-masked]>
Date: Tuesday, February 2, 2021 at 1:17 PM
To: "Ali Sajassi (sajassi)" <sajassi=[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

Cheers,
Ali

Thank you,

Matthew & Stephane

---

From: "Aparna Pattekar (apjoshi)" <[email-masked]>
Date: Tue, 2 Feb 2021 18:35:35 +0000

Hi,

I support the draft as a co-author. I am not aware of any undisclosed IPR.

Thanks,

Aparna

On Feb 2, 2021, at 10:26 AM, Acee Lindem (acee) <acee=[email-masked]<mailto:acee=[email-masked]>> wrote:

Hi Ali,

This should be updated automatically if the chairs update the “Replaced by” meta data forhttps://datatracker.ietf.org/doc/draft-malhotra-bess-evpn-irb-extended-mobility/

Thanks,
Acee

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "Ali Sajassi (sajassi)" <sajassi=[email-masked]<mailto:sajassi=[email-masked]>>
Date: Tuesday, February 2, 2021 at 1:17 PM
To: "Ali Sajassi (sajassi)" <sajassi=[email-masked]<mailto:sajassi=[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "Ali Sajassi (sajassi)" <sajassi=[email-masked]<mailto:sajassi=[email-masked]>>
Date: Tuesday, February 2, 2021 at 9:39 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

Cheers,
Ali

Thank you,

Matthew & Stephane

_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess

---

From: Keyur Patel <[email-masked]>
Date: Tue, 2 Feb 2021 22:52:48 +0000

Support to publication of the draft. We also have an implementation of the draft and would be happy to fill out any implementation survey.

Regards,
Keyur

Thank you,

Matthew & Stephane

---

From: "Krishnaswamy Ananthamurthy (kriswamy)" <[email-masked]>
Date: Wed, 3 Feb 2021 01:03:40 +0000

I Support for WG adoption.

Thanks
Krishna

Thank you,

Matthew & Stephane

---

From: "Jakob Heitz (jheitz)" <[email-masked]>
Date: Wed, 3 Feb 2021 02:31:01 +0000

I support.

Regards,
Jakob.

From: BESS <[email-masked]> On Behalf Of [email-masked]
Sent: Monday, January 18, 2021 12:58 AM
To: [email-masked]
Cc: [email-masked]
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

Thank you,

Matthew & Stephane

---

From: <[email-masked]>
Date: Thu, 11 Feb 2021 09:20:14 +0100

Hi Authors,

Please address the comments raised by the WG members before we move forward.

I have fixed the dependency to the individual draft, so now the IPR appears on the WG doc.

Brgds,

Stephane

From: Acee Lindem (acee) <[email-masked]> 
Sent: lundi 18 janvier 2021 18:25
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

Hi Stephane, et al, 

I did another quick read of the draft and I support publication. I think it would be good to state in the introduction which sections of the draft our normative and which are informative.

Thanks,

Acee

From: BESS <[email-masked] <mailto:[email-masked]> > on behalf of "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Date: Monday, January 18, 2021 at 3:58 AM
To: "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Cc: "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-irb-extended-mobility-01

 

 

 

 

Thank you,

Matthew & Stephane

[2]  <https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw__;!!NEt6yMaO-gk!X5h4y9zD3js4IFT_XC9-diCFCY2KETdVMSaYYY3ihMfJkJT9ibnhUx4IgRXhv_vc$> https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw

---

From: Neeraj Malhotra <[email-masked]>
Date: Fri, 12 Feb 2021 17:37:13 -0800

Hi,

Thanks Stephane. Will update very soon.

Neeraj

> On Feb 11, 2021, at 12:20 AM, [email-masked] wrote:
> 
> 
> Hi Authors,
>